import os
from transformers import AutoModelForCausalLM
from transformers import AutoTokenizer

# 设置镜像站点 URL
#os.environ['HF_ENDPOINT'] = 'https://hf-mirror.com' # 使用镜像站点

# 设置模型名称（确保没有空格）
model_name = "tatsu-lab/alpaca-7b-wdiff" 
# 下载并加载模型
tokenizer = AutoTokenizer.from_pretrained(model_name, cache_dir='./Model')
model = AutoModelForCausalLM.from_pretrained(model_name, cache_dir='./Model')

print("Model downloaded and cached in './Model'.")